ranges::v3::lower_bound_fn Struct Reference
Algorithms

## Public Member Functions

template<typename I , typename S , typename V , typename C = ordered_less, typename P = ident, requires = (Sentinel<S, I>() && BinarySearchable<I, V, C, P>())>
I | operator() (I begin, S end, V const &val, C pred=C{}, P proj=P{}) const
template<typename Rng , typename V , typename C = ordered_less, typename P = ident, typename I = iterator_t<Rng>, requires = (Range<Rng>() && BinarySearchable<I, V, C, P>())>
safe_iterator_t< Rng > | operator() (Rng &&rng, V const &val, C pred=C{}, P proj=P{}) const